summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorneodarz <neodarz@neodarz.net>2017-11-02 16:19:55 +0100
committerneodarz <neodarz@neodarz.net>2017-11-02 16:29:13 +0100
commitf4c7c1cdace853939f15b81907017ff5d7068198 (patch)
tree94b265445e9888696e9beb9ad985cd2f5511507d
downloadterminalimageviewer-git-f4c7c1cdace853939f15b81907017ff5d7068198.zip
terminalimageviewer-git-f4c7c1cdace853939f15b81907017ff5d7068198.tar.xz
Initial commit
-rw-r--r--.SRCINFO16
-rw-r--r--PKGBUILD37
2 files changed, 53 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 0000000..030e4e5
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,16 @@
+pkgbase = terminalimageviewer
+ pkgdesc = Small C++ program to display images in a (modern) terminal using RGB ANSI codes and unicode block graphics characters
+ pkgver = r46.65ebc0a
+ pkgrel = 1
+ url = https://github.com/stefanhaustein/TerminalImageViewer
+ arch = i686
+ arch = x86_64
+ license = Apache
+ makedepends = git
+ provides = TerminalImageViewer
+ conflicts = TerminalImageViewer, tiv
+ source = terminalimageviewer-git::git+https://github.com/stefanhaustein/TerminalImageViewer.git
+ md5sums = SKIP
+
+pkgname = terminalimageviewer-git
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 0000000..fd69fd7
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,37 @@
+# Maintainer: neodarz <neodarz@neodarz.net>
+
+pkgbase=terminalimageviewer
+pkgname=terminalimageviewer-git
+_pkgname=TerminalImageViewer
+pkgver=r46.65ebc0a
+pkgrel=1
+pkgdesc="Small C++ program to display images in a (modern) terminal using RGB ANSI codes and unicode block graphics characters"
+arch=('i686' 'x86_64')
+url="https://github.com/stefanhaustein/$_pkgname"
+license=('Apache')
+makedepends=(git)
+provides=("$_pkgname")
+conflicts=("$_pkgname, tiv")
+source=("$pkgname"::"git+https://github.com/stefanhaustein/$_pkgname.git")
+noextract=()
+md5sums=('SKIP')
+
+pkgver() {
+ cd "$pkgname"
+ ( set -o pipefail
+ git describe --long 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+}
+
+build() {
+ cd $srcdir/$pkgname/src/main/cpp
+ make
+}
+
+
+package() {
+ cd $srcdir/$pkgname
+ install -Dm755 src/main/cpp/tiv $pkgdir/usr/bin/tiv
+}
+